gr::lte::mib_unpack_vbm Class Reference

Block unpacks MIB and publishes the parameters as messages. More...

`#include <mib_unpack_vbm.h>`

Inheritance diagram for gr::lte::mib_unpack_vbm:
[legend]

## Public Types

typedef boost::shared_ptr< mib_unpack_vbm > | sptr

## Static Public Member Functions

static sptr | make (std::string name="mib_unpack_vbm")
| Return a shared_ptr to a new instance of lte::mib_unpack_vbm.

## Detailed Description

Block unpacks MIB and publishes the parameters as messages.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<mib_unpack_vbm> gr::lte::mib_unpack_vbm::sptr

## Member Function Documentation

## make()

static sptr gr::lte::mib_unpack_vbm::make | ( | std::string | name = "mib_unpack_vbm" | ) |

static

Return a shared_ptr to a new instance of lte::mib_unpack_vbm.

To avoid accidental use of raw pointers, lte::mib_unpack_vbm's constructor is in a private implementation class. lte::mib_unpack_vbm::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- mib_unpack_vbm.h